[SciPy-User] scipy-0.14.0 build failure fedora 20

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[SciPy-User] scipy-0.14.0 build failure fedora 20

Neal Becker
I'm trying to build scipy-0.14.0 on fedora 20 (x86_64).  I've tried different
compile options, but most recently just using the

scipy-0.14.0-2.fc21.src.rpm

unchanged.

It builds on py2 and py3, but when it tries to run self-test it explodes.  I
don't know which test it's running, but memory usage becomes much larger than my
16G, and I have to kill it.

Any ideas?

_______________________________________________
SciPy-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/scipy-user
Reply | Threaded
Open this post in threaded view
|

Re: scipy-0.14.0 build failure fedora 20

Neal Becker
Neal Becker wrote:

> I'm trying to build scipy-0.14.0 on fedora 20 (x86_64).  I've tried different
> compile options, but most recently just using the
>
> scipy-0.14.0-2.fc21.src.rpm
>
> unchanged.
>
> It builds on py2 and py3, but when it tries to run self-test it explodes.  I
> don't know which test it's running, but memory usage becomes much larger than
> my 16G, and I have to kill it.
>
> Any ideas?

More info:

When run with DEFAULT test (not 'full'), the test does complete, on both py2 and
py3.

Using numpy-1.8.1 + openblas

When run on py3, I got 1 failure:

ERROR: test_fitpack.TestSplder.test_kink
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/nbecker/.local/lib/python3.3/site-
packages/scipy/interpolate/fitpack.py", line 1190, in splder
    c = (c[1:-1-k] - c[:-2-k]) * k / dt
FloatingPointError: divide by zero encountered in true_divide

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.3/site-packages/nose/case.py", line 198, in runTest
    self.test(*self.arg)
  File "/home/nbecker/.local/lib/python3.3/site-
packages/scipy/interpolate/tests/test_fitpack.py", line 329, in test_kink
    splder(spl2, 2)  # Should work
  File "/home/nbecker/.local/lib/python3.3/site-
packages/scipy/interpolate/fitpack.py", line 1198, in splder
    "and is not differentiable %d times") % n)
ValueError: The spline has internal repeated knots and is not differentiable 2
times

----------------------------------------------------------------------
Ran 16420 tests in 216.470s

FAILED (KNOWNFAIL=277, SKIP=1172, errors=1)

When run on py2, I got 0 failures.

_______________________________________________
SciPy-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/scipy-user
Reply | Threaded
Open this post in threaded view
|

Re: scipy-0.14.0 build failure fedora 20

Pauli Virtanen-3
24.06.2014 21:25, Neal Becker kirjoitti:
[clip]
> When run with DEFAULT test (not 'full'), the test does complete, on both py2 and
> py3.
>
> Using numpy-1.8.1 + openblas
>
> When run on py3, I got 1 failure:
>
> ERROR: test_fitpack.TestSplder.test_kink
> ----------------------------------------------------------------------
[clip]

Known bug (solved in git master, but not in 0.14.0):
https://github.com/scipy/scipy/issues/2911

_______________________________________________
SciPy-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/scipy-user